Subject: Re: Help--canning meats

From: [email-masked] (BASEL, LESLIE)
Date: 2 Apr 1995 19:32 MST

In article <[email-masked]>, [email-masked] writes...
>This year we would like to try canning our venison and fish, but we aren't 
>sure how.  We would love suggestions to aid us in our endeavor.  Please post 
>helpful hints or Email to <[email-masked]>.  We live in 
>Hyrum, Utah which has an elevation of 4550 ft.  Processing times would be 
>helpful.

The best suggestion that I have for you guys is to find a copy of
_Putting Food By_, and a copy of _Stocking Up_.  PFB gives the
most concise directions for canning meats and fish, with a little
worksheet to figure out your processing times.

I'd also check out the 4th piece of the FAQ for electronic sites.
The three that I think will help you out the most are ftp dale.ucdavis.edu,
gopher cesgopher.ag.uiuc.edu, and gopher tinman.mes.umn.edu... 

>Thanks tons for your help. 
>Scott and Stacie Gomm

Your welcome...good luck in your endeavors.  You might find that 
pressure canning is a more involved than regular water bath canning.

Leslie
[email-masked]